This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 166058 - Copyright and license information missing
Copyright and license information missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Sandeen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-16 10:18 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.40.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 01:35:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix to include libuuid license (697 bytes, patch)
2005-08-31 10:27 EDT, Joe Orton
no flags Details | Diff
Patch to COPYING checked into hg (3.36 KB, patch)
2007-06-23 01:15 EDT, Theodore Tso
no flags Details | Diff

  None (edit)
Description Anthony Green 2005-08-16 10:18:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I believe we are required to install the following files in the e2fsprogs binary RPM:

COPYING
debian/e2fslibs.copyright
debian/e2fsprogs.copyright
debian/libblkid.copyright
debian/libcomerr2.copyright
debian/libss2.copyright
debian/libuuid1.copyright

This is a problem in the RHEL RPMS as well.

RELEASE-NOTES might also be useful.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install e2fsprogs
2.Look for copyright/license info
3.
  

Additional info:
Comment 1 Anthony Green 2005-08-16 11:01:40 EDT
Ignore my comment about RELEASE-NOTES, which obviously is already installed.

For what it's worth, this is the little patch that I think should work.

--- e2fsprogs.spec~     2005-05-10 02:11:57.000000000 -0700
+++ e2fsprogs.spec      2005-08-16 07:55:32.000000000 -0700
@@ -158,6 +158,12 @@ exit 0
 %files -f %{name}.lang
 %defattr(-,root,root)
 %doc README RELEASE-NOTES
+%doc debian/e2fslibs.copyright
+%doc debian/e2fsprogs.copyright
+%doc debian/libblkid.copyright
+%doc debian/libcomerr2.copyright
+%doc debian/libss2.copyright
+%doc debian/libuuid1.copyright
 %doc %{ext2resize_name}/AUTHORS.ext2resize
 %doc %{ext2resize_name}/COPYING.ext2resize
 %doc %{ext2resize_name}/NEWS.ext2resize
Comment 2 Anthony Green 2005-08-16 11:03:26 EDT
oh and 

+%doc COPYING

of course.  I'll just shut up now. :-)

Comment 3 Stephen Tweedie 2005-08-16 11:09:42 EDT
Just looking at the first of those files, debian/e2fslibs.copyright, I see that
it starts with:

"This is the Debian GNU/Linux prepackaged version of the EXT2 file
system utilities (e2fsck, mke2fs, etc.)."

Why on earth do we need debian/* files, containing debian-specific descriptions,
in the Red Hat or Fedora packages for these programs?

COPYING, and lib/uuid/COPYING, certainly make sense; but not debian/*, I think.
Comment 4 Anthony Green 2005-08-16 11:21:56 EDT
(In reply to comment #3)
> Why on earth do we need debian/* files, containing debian-specific descriptions,
> in the Red Hat or Fedora packages for these programs?

Because we build and ship things like /lib/libcom_err.2.so without the requisite
license info.  Just strip out the reference to debian if you think it is a problem.




Comment 5 Stephen Tweedie 2005-08-16 11:27:45 EDT
The COPYING file begins:

"This package, the EXT2 filesystem utilities, are made available under
the GNU Public License, with the exception of the lib/uuid directory
which is made available under a BSD-style license.  Please see
lib/uuid/COPYING for more details for the license for the files
comprising the libuuid library."

If that's not accurate, and some components are under other licenses, then
perhaps upstream needs this fixed too.
Comment 6 Joe Orton 2005-08-31 10:27:59 EDT
Created attachment 118301 [details]
fix to include libuuid license

The libblkid license is also not mentioned and there should be a copy of the
LGPL included too; that does need fixing upstream.
Comment 7 Joe Orton 2005-08-31 10:32:05 EDT
Not mentioned in 1.37's top-level COPYING:

lib/et: MIT
lib/e2p: LGPL
lib/blkid: LGPL
lib/ss: MIT
Comment 8 Christian Iseli 2007-01-22 05:25:42 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 9 Anthony Green 2007-01-22 13:10:14 EST
This is still a problem.  e2fsprogs is installed with no copyright / license info.
Comment 10 Theodore Tso 2007-01-24 01:44:58 EST
I'll note this doesn't seem to be unique to e2fsprogs.  I don't see a Copying
file for util-linux, either, for example.  The latest COYPING file does talk
about the licenses on the other libraries, but This seems to be a more general
problem in Red Hat/Fedora though.  As far as I can tell there isn't a
standardized place where the Copyright/Licensing information is placed, such as
what Debian uses.  Debian is just a lot more anal-retentative about such things,
though....
Comment 11 Eric Sandeen 2007-06-22 17:17:27 EDT
Hmm.  Most recent Hg e2fsprogs has both GPL & LGPL licenses (Though the LGPL
copy is dated; it says "LIBRARY" not "LESSER" :) ) included in the top-level
COPYING file, and it also notes different licenses for different bits:

---
This package, the EXT2 filesystem utilities, are made available under
the GNU Public License version 2, with the exception of the lib/uuid
directory which is made available under a BSD-style license and the
lib/et and lib/ss libraries which are made available under an
MIT-style license.  Please see lib/uuid/COPYING for more details for
the license for the files comprising the libuuid library, and the
source file headers of the libet and libss libraries for more
information.
---

However, I don't see specific mention of which libraries are GPL and which are
LGPL...

I'd prefer to resolve this bug by simply including the top-level COPYING file in
the RPM, and fix up the top-level COPYING to clearly state the license of each
component (GPL, LGPL, MIT, or other) and be sure each of those licenses is
included in that file.  Seems reasonable?
Comment 12 Theodore Tso 2007-06-23 01:15:00 EDT
Created attachment 157674 [details]
Patch to COPYING checked into hg

This attachment has been checked into the e2fsprogs SCM tree and describes the
copyright status of all of the e2fsprogs libraries.
Comment 13 Eric Sandeen 2007-06-23 11:17:06 EDT
Thanks Ted!  I was going to whip up such a thing when I got a moment, but you
beat me to it.  So we'll get that pulled in when we rebase to 1.40 (and include
COPYING and lib/uuid/COPYING in the package)

Thanks again; clearing my bug backlog now seems to have a glimmer of hope... :)

-Eric
Comment 14 Eric Sandeen 2007-07-02 17:34:41 EDT
Upstream at http://thunk.org/hg/e2fsprogs/?rev/e7fff9f66ba6
Comment 15 Theodore Tso 2007-07-02 18:59:14 EDT
Or at the new location (I've switched to git after the e2fsprogs 1.40 release):

http://git.kernel.org/?p=fs/ext2/e2fsprogs.git;a=commit;h=bbc4cd30a8a7c9cec267be6d4f6f00267e562347
Comment 16 Fedora Update System 2007-07-27 01:49:21 EDT
e2fsprogs-1.40.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2007-08-24 01:35:35 EDT
e2fsprogs-1.40.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.